# Uses of Class
bsh.UtilEvalError

Packages that use UtilEvalError
Package
Description
bsh
bsh.classpath

## Uses of UtilEvalError in bsh

Subclasses of UtilEvalError in bsh
Modifier and Type
Class
Description
`static class`
`Capabilities.Unavailable`
An attempt was made to use an unavailable capability supported by an optional package.
`class`
`ClassPathException`
`class`
`UtilTargetError`
UtilTargetError is an error corresponding to a TargetError but thrown by a utility or other class that does not have the caller context (Node) available to it.
Methods in bsh that return UtilEvalError
Modifier and Type
Method
Description
`protected static UtilEvalError`
BshClassManager.`cmUnavailable()`
Methods in bsh that throw UtilEvalError
Modifier and Type
Method
Description
`static Object`
Primitive.`binaryOperation(Object obj1, Object obj2, int kind)`
Perform a binary operation on two Primitives or wrapper types.
`boolean`
Primitive.`booleanValue()`
`Primitive`
Primitive.`castToType(Class toType, int operation)`
Cast this bsh.Primitive value to a new bsh.Primitive value This is usually a numeric type cast.
`protected void`
BshClassManager.`doSuperImport()`
Support for "import *;" Hide details in here as opposed to NameSpace.
`void`
NameSpace.`doSuperImport()`
Perform "import *;" causing the entire classpath to be mapped.
`Object`
NameSpace.`get(String name, Interpreter interpreter)`
Resolve name to an object through this namespace.
`Class`
NameSpace.`getClass(String name)`
Load a class through this namespace taking into account imports.
`static ClassGenerator`
ClassGenerator.`getClassGenerator()`
`protected String`
BshClassManager.`getClassNameByUnqName(String name)`
Return the name or null if none is found, Throw an ClassPathException containing detail if name is ambigous.
`Object`
NameSpace.`getCommand(String name, Class[] argTypes, Interpreter interpreter)`
A command is a scripted method or compiled command class implementing a specified method signature.
`protected BshMethod`
NameSpace.`getImportedMethod(String name, Class[] sig)`
`protected Variable`
NameSpace.`getImportedVar(String name)`
`Object`
This.`getInterface(Class clas)`
Get a version of this scripted object implementing the specified interface.
`Object`
This.`getInterface(Class[] ca)`
Get a version of this scripted object implementing the specified interfaces.
`BshMethod`
ExternalNameSpace.`getMethod(String name, Class[] sig, boolean declaredOnly)`
`BshMethod`
NameSpace.`getMethod(String name, Class[] sig)`
`BshMethod`
NameSpace.`getMethod(String name, Class[] sig, boolean declaredOnly)`
Get the bsh method matching the specified signature declared in this name space or a parent.
`Object`
NameSpace.`getVariable(String name)`
Get the specified variable in this namespace or a parent namespace.
`Object`
NameSpace.`getVariable(String name, boolean recurse)`
Get the specified variable in this namespace.
`protected Variable`
ExternalNameSpace.`getVariableImpl(String name, boolean recurse)`
`protected Variable`
NameSpace.`getVariableImpl(String name, boolean recurse)`
Locate a variable and return the Variable object with optional recursion through parent name spaces.
`int`
Primitive.`intValue()`
`abstract Object`
ClassGenerator.`invokeSuperclassMethod(BshClassManager bcm, Object instance, String methodName, Object[] args)`
Invoke a super.method() style superclass method on an object instance.
`Object`
ClassGeneratorImpl.`invokeSuperclassMethod(BshClassManager bcm, Object instance, String methodName, Object[] args)`
`static Object`
ClassGeneratorImpl.`invokeSuperclassMethodImpl(BshClassManager bcm, Object instance, String methodName, Object[] args)`
`Number`
Primitive.`numberValue()`
`void`
BshClassManager.`reloadAllClasses()`
Overlay the entire path with a new class loader.
`void`
BshClassManager.`reloadClasses(String[] classNames)`
Reloading classes means creating a new classloader and using it whenever we are asked for classes in the appropriate space.
`void`
BshClassManager.`reloadPackage(String pack)`
Reload all classes in the specified package: e.g.
`void`
BshClassManager.`setClassPath(URL[] cp)`
Set a new base classpath and create a new base classloader.
`void`
ExternalNameSpace.`setMethod(String name, BshMethod method)`
`void`
NameSpace.`setMethod(String name, BshMethod method)`
Note: this is primarily for internal use.
`void`
ExternalNameSpace.`setTypedVariable(String name, Class type, Object value, Modifiers modifiers)`
`void`
NameSpace.`setTypedVariable(String name, Class type, Object value, boolean isFinal)`
Deprecated.
See #setTypedVariable( String, Class, Object, Modifiers )
`void`
NameSpace.`setTypedVariable(String name, Class type, Object value, Modifiers modifiers)`
Declare a variable in the local scope and set its initial value.
`void`
Variable.`setValue(Object value, int context)`
Set the value of the typed variable.
`void`
NameSpace.`setVariable(String name, Object value, boolean strictJava)`
Set the variable through this namespace.
`static Primitive`
Primitive.`unaryOperation(Primitive val, int kind)`
`protected Object`
NameSpace.`unwrapVariable(Variable var)`
Unwrap a variable to its value.

## Uses of UtilEvalError in bsh.classpath

Methods in bsh.classpath that throw UtilEvalError
Modifier and Type
Method
Description
`void`
ClassManagerImpl.`doSuperImport()`
Support for "import *;" Hide details in here as opposed to NameSpace.